Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004925TestLinkExport/Importpublic2012-02-29 12:052012-09-01 19:59
Reportervincent.morin 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSRedHat Enterprise OS VersionRHE 5.3
Product Version1.9.3 (2011 Q3 - bug fixing) 
Fixed in Version1.9.4 (2012 Q3 - bug fixing) 
Summary0004925: Import many TestCases in xml does import only first TC - Consider Test Case as duplicate if: has same internal ID
DescriptionDo export TestCase then import same file, same context: it import only first TC.
Steps To Reproducecreate new Project (with automation)
create new TestSuite
create 3 TestCase
edit the Summary of each TestCase
select TestSuite, do TestCase export
get file testcases.xml
select same TestSuite, do TestCase import
with options:
  Consider Test Case as duplicate if: has same internal ID
  Action for duplicates: Update data on Latest version
it does import only first TC
TagsTO BE FIXED on 2.0
Database (MySQL,Postgres,etc)MySQL
BrowserFirefox
PHP Version5.3
TestCaseID
QA Team - Task Workflow Status
Attached Filesxml file icon testcases.xml [^] (1,202 bytes) 2012-02-29 12:05
png file icon image1.PNG [^] (13,363 bytes) 2012-02-29 12:05


png file icon image2.PNG [^] (5,493 bytes) 2012-02-29 12:06

- Relationships
related to 0005070closedfman Import Test suite with Custom fields - Custom fields are not imported 

-  Notes
(0016407)
vincent.morin (reporter)
2012-02-29 13:15

Does not probleme with option:
Consider Test Case as duplicate if: has same name
or has same External ID
(0016551)
fman (administrator)
2012-04-09 09:01
edited on: 2012-04-09 09:02

@vincent.morin
quick fix
edit tcImport.php
search for: (more or less line 340)
if( $duplicatedLogic['actionOnHit'] == 'update_last_version' )
{
   switch($duplicatedLogic['hitCriteria'])
   {
      case 'name':
    $info = $tcase_mgr->getDuplicatesByName($name,$container_id);
      break;
                
      case 'internalID':
$dummy = $tcase_mgr->tree_manager->get_node_hierarchy_info($internalid,$container_id);
if( !is_null($dummy) )
{
  $info = null; // THIS FIXES TICKET 4925
  $info[$internalid] = $dummy;
}
                break;

(0016552)
fman (administrator)
2012-04-09 09:04

TestLink 1.9.x
http://gitorious.org/testlink-ga/testlink-code/commit/5f7f69313caf7875d7910d34c2d82846d105484d [^]
(0016553)
fman (administrator)
2012-04-09 09:04

Please re-test and let us know
(0016588)
fman (administrator)
2012-04-14 17:49

@user
can your provide requested feedback ?
(0016637)
vincent.morin (reporter)
2012-05-04 09:54

Yes I will,
sorry for answering late (I was ill)
thanks
(0017344)
fman (administrator)
2012-09-01 19:59

1.9.4 released

- Issue History
Date Modified Username Field Change
2012-02-29 12:05 vincent.morin New Issue
2012-02-29 12:05 vincent.morin File Added: testcases.xml
2012-02-29 12:05 vincent.morin File Added: image1.PNG
2012-02-29 12:06 vincent.morin File Added: image2.PNG
2012-02-29 13:15 vincent.morin Note Added: 0016407
2012-03-06 20:04 fman Assigned To => fman
2012-03-06 20:04 fman Status new => acknowledged
2012-04-09 08:32 fman Summary Import many TestCases in xml does import only first TC => Import many TestCases in xml does import only first TC - Consider Test Case as duplicate if: has same internal ID
2012-04-09 08:32 fman Steps to Reproduce Updated View Revisions
2012-04-09 09:01 fman Note Added: 0016551
2012-04-09 09:02 fman Note Edited: 0016551 View Revisions
2012-04-09 09:02 fman Note Edited: 0016551 View Revisions
2012-04-09 09:03 fman Tag Attached: TO BE FIXED on 2.0
2012-04-09 09:04 fman Note Added: 0016552
2012-04-09 09:04 fman Note Added: 0016553
2012-04-09 09:04 fman Status acknowledged => feedback
2012-04-14 17:49 fman Note Added: 0016588
2012-05-04 09:54 vincent.morin Note Added: 0016637
2012-05-04 09:54 vincent.morin Status feedback => assigned
2012-05-04 14:58 fman Status assigned => resolved
2012-05-04 14:58 fman Fixed in Version => 1.9.4 (2012 Q3 - bug fixing)
2012-05-04 14:58 fman Resolution open => fixed
2012-06-23 07:54 fman Relationship added related to 0005070
2012-09-01 19:59 fman Note Added: 0017344
2012-09-01 19:59 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker